<div class="p-4 space-y-4">
    <x-wireui:modal-card title="測試" blur wire:model.defer="showModal">
        <x-wireui:select
            label="選擇房間"
            wire:model.defer="roomId"
            placeholder="請選擇房間"
            :options="$roomOptions"
            option-label="name"
            option-value="value"
        />
        <div class="text-gray-700 bg-gray-100 p-3 rounded shadow">
            <div class="font-semibold mb-1">將發送內容：</div>
            <div>{{ $content }}</div>
        </div>

        
        <x-slot name="footer">
            <div class="flex justify-between w-full">
                <x-wireui:button flat label="{{__('text_ads.cancel')}}" wire:click="closeModal" />
                <x-wireui:button primary wire:click="send" primary label="立即發送" spinner />
            </div>
        </x-slot>
    </x-wireui:modal-card>
</div>