<x-wireui:modal-card title="{{ $textAdId ? __('text_ads.EditArtist') : __('text_ads.CreateNew') }}" blur wire:model.defer="showModal">
    <div class="space-y-4">
        <x-wireui:input label="{{__('text_ads.content')}}" wire:model.defer="fields.content" />
        <x-wireui:select
            label="{{__('text_ads.color')}}"
            wire:model.defer="fields.color"
            placeholder="{{__('text_ads.select_color')}}"
            :options="$colorOptions"
            option-label="name"
            option-value="value"
        />
        <x-wireui:input label="{{__('text_ads.duration')}}" type="number" min="1" max="60" wire:model.defer="fields.duration" />
        
        <x-wireui:toggle label="{{__('text_ads.is_active')}}" wire:model.defer="fields.is_active" />
    </div>

    <x-slot name="footer">
        <div class="flex justify-between w-full">
            <x-wireui:button flat label="{{__('text_ads.cancel')}}" wire:click="closeModal" />
            <x-wireui:button primary label="{{__('text_ads.submit')}}" wire:click="save" />
        </div>
    </x-slot>
</x-wireui:modal-card>
    