<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TextAd extends Model
{
    protected $fillable = [
        'content',
        'color',
        'duration',
        'is_active',
    ];

    protected $casts = [
        'color' => \App\Enums\TextAdColors::class,
        'is_active' => 'boolean',
    ];
}
